import 'package:flutter_test/flutter_test.dart';
import 'package:myhr_facescan/myhr_facescan.dart';
import 'package:myhr_facescan/myhr_facescan_platform_interface.dart';
import 'package:myhr_facescan/myhr_facescan_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockMyhrFacescanPlatform
    with MockPlatformInterfaceMixin
    implements MyhrFacescanPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final MyhrFacescanPlatform initialPlatform = MyhrFacescanPlatform.instance;

  test('$MethodChannelMyhrFacescan is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelMyhrFacescan>());
  });

  test('getPlatformVersion', () async {
    MyhrFacescan myhrFacescanPlugin = MyhrFacescan();
    MockMyhrFacescanPlatform fakePlatform = MockMyhrFacescanPlatform();
    MyhrFacescanPlatform.instance = fakePlatform;

    expect(await myhrFacescanPlugin.getPlatformVersion(), '42');
  });
}
